\section{Use-cases}\label{sec:usecases}
This section describes to example use-cases for leveraging \ac{ucon}+ in smart home and smart vehicle environments.

\subsection{Smart Home}\label{sec:smarthome}
One of the possible use-cases is a smart home environment where it is important to provide safety and protection to people and things since these are connected to the Internet and access to the outside world need to be controlled.
For example, multimedia devices used by the kids at home, such as game consoles and smart TV, connect to the Internet and expose kids to a variety of contents that are extremely difficult to manage and control.    
\ac{ucon}+ could make significant improvements if combined with the smart home devices and sensors compared to the existing parental controller model where parents have to create a child account for each multimedia device and set limited factory-defined policies.
Thus, \ac{ucon}+ security policies can be specified for safety purposes.
For example, if the camera detects that the parents are sleeping or away from home, the child is not allowed to use the smart TV or access the Internet.
Moreover, \ac{ucon}+ obligations enable parents to define specific actions that must be completed before allowing their kids to use such smart devices.
For instance, parents can specify an obligation that notifies them when a child attempts to use a smart device, and wait for their approval before allowing the child to use the device.
\ac{ucon}+ supports such cases by monitoring the environment through a variety of devices such as cameras and sensors and using their input as attributes for policy evaluation, allowing dynamic control in the smart home environment.


\subsection{Smart Vehicle}\label{sec:vehicle}
Vehicles are real-time applications that are accessed by different entities (e.g., drivers, passengers, applications) in different environments.
Thus, they require a dynamic authorization mechanism that can provide continuous usage control to their resources as the context changes.
%For example, driving a vehicle must only be authorized within a specific region where the driving license of the driver is valid.
%When the user drives the car beyond the region, the driver may be notified and vehicle could be gracefully stopped as defined by the security policy.
\ac{ucon}+ can be leveraged to enable such functionality in smart vehicles where access policies are re-evaluated when the location of the car changes as it moves. 
For instance, the minimum age to drive is 17 in Denmark and 18 in Sweden.
Thus, \ac{ucon}+ policies can specify that a 17-year old driver must be notified when they cross the border from Denmark to Sweden.
\ac{ucon}+ policies may also incorporate obligations that can gracefully stop the vehicle.
Car rental is another example where car owners can restrict the use of their vehicles based on rental agreements.
A car owner, for example, can designate a specific area in which the driver is permitted to drive.
The car owner can also specify obligations that notify them if the driver breaks the conditions of the rental agreement.
The owner can also specify a maximum speed or a specific driving period.

